## ladspa-sdk 1.15

=== src/Makefile ===
###############################################################################
#
# Installation DIRECTORIES
#
# Change these if you want to install somewhere else.

INSTALL_PLUGINS_DIR	=	/usr/lib/ladspa/
INSTALL_INCLUDE_DIR	=	/usr/include/
INSTALL_BINARY_DIR	=	/usr/bin/

###############################################################################
#
# GENERAL
#

INCLUDES	=	-I.
LIBRARIES	=	-ldl -lm
CFLAGS		=	$(INCLUDES) -Wall -Werror -O2 -fPIC 		\
			-DDEFAULT_LADSPA_PATH=$(INSTALL_PLUGINS_DIR)
BINFLAGS	=	-fPIE -pie
CXXFLAGS	=	$(CFLAGS)
PLUGINS		=	../plugins/amp.so				\
			../plugins/delay.so				\
			../plugins/filter.so				\
			../plugins/noise.so				\
			../plugins/sine.so				
PROGRAMS	=	../bin/analyseplugin				\
			../bin/applyplugin 				\
			../bin/listplugins
CC		=	cc
CPP		=	c++

###############################################################################
#
# RULES TO BUILD PLUGINS FROM C OR C++ CODE
#

../plugins/%.so:	plugins/%.c ladspa.h gcc_exports.map
	$(CC) $(CFLAGS) -o plugins/$*.o -c plugins/$*.c
	$(CC)	-o ../plugins/$*.so					\
		plugins/$*.o						\
		-shared							\
		$(CFLAGS)						\
		-fvisibility=hidden					\
		-fvisibility-inlines-hidden				\
		-s							\
		-Wl,--version-script=gcc_exports.map			

../plugins/%.so:	plugins/%.cpp ladspa.h gcc_exports.map
	$(CPP) $(CXXFLAGS) -o plugins/$*.o -c plugins/$*.cpp
	$(CPP)	-o ../plugins/$*.so					\
		plugins/$*.o						\
		-shared							\
		$(CXXFLAGS)						\
		-fvisibility=hidden					\
		-fvisibility-inlines-hidden				\
		-s							\
		-Wl,--version-script=gcc_exports.map			

###############################################################################
#
# TARGETS
#

test:	/tmp/test.wav ../snd/noise.wav always
	@echo ---------------------------------------------
	@echo First listen to the white noise input signal:
	@echo ---------------------------------------------
	-sndfile-play ../snd/noise.wav
	@echo -------------------------
	@echo Compare to plugin output.
	@echo -------------------------
	@echo Should be a noise band around 6000Hz, repeated quietly after 1s.
	-sndfile-play /tmp/test.wav
	@echo Test complete.

install:	targets
	-mkdir -p $(INSTALL_PLUGINS_DIR)
	-mkdir -p $(INSTALL_INCLUDE_DIR)
	-mkdir -p $(INSTALL_BINARY_DIR)
	cp ../plugins/* $(INSTALL_PLUGINS_DIR)
	cp ladspa.h $(INSTALL_INCLUDE_DIR)
	cp ../bin/* $(INSTALL_BINARY_DIR)

/tmp/test.wav:	targets ../snd/noise.wav
	../bin/listplugins
	../bin/analyseplugin ../plugins/filter.so
	../bin/analyseplugin ../plugins/delay.so
	../bin/analyseplugin ../plugins/sine.so
	echo ; ../bin/analyseplugin -l ../plugins/sine.so ; echo
	../bin/analyseplugin ../plugins/amp.so
	../bin/analyseplugin ../plugins/noise.so
	../bin/applyplugin	-s 1					\
				../snd/noise.wav /tmp/test.wav		\
				../plugins/filter.so lpf 500		\
				../plugins/filter.so lpf 500		\
				../plugins/sine.so sine_fcaa 6000	\
				../plugins/delay.so delay_5s 1 0.1	\
				../plugins/amp.so amp_mono 4		\

targets:	$(PLUGINS) $(PROGRAMS)

###############################################################################
#
# PROGRAMS
#

../bin/applyplugin:	applyplugin.o load.o default.o
	$(CC) $(CFLAGS) $(BINFLAGS)					\
		-o ../bin/applyplugin					\
		applyplugin.o load.o default.o				\
		$(LIBRARIES)

../bin/analyseplugin:	analyseplugin.o load.o default.o
	$(CC) $(CFLAGS) $(BINFLAGS)					\
		-o ../bin/analyseplugin 				\
		analyseplugin.o load.o default.o			\
		$(LIBRARIES)

../bin/listplugins:	listplugins.o search.o
	$(CC) $(CFLAGS) $(BINFLAGS)					\
		-o ../bin/listplugins	 				\
		listplugins.o search.o					\
		$(LIBRARIES)

###############################################################################
#
# UTILITIES
#

always:	

clean:
	-rm -f `find . -name "*.o"` ../bin/* ../plugins/*
	-rm -f `find .. -name "*~"`
	-rm -f *.bak core score.srt
	-rm -f *.bb *.bbg *.da *-ann gmon.out bb.out
	-rm -f `find .. -name "*.class"`

backup:		clean
	(cd ../../;							\
	tar czf `date '+../backup/ladspa_sdk.%Y%m%d%H%M.tgz'` ladspa_sdk/)

###############################################################################

## ladspa-sdk 1.13

=== debian/changelog ===
ladspa-sdk (1.13-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Use only 3 digits precision on debian-policy version.
  * Add git-buildpackage config file.
  * Switch to CDBS.
  * Switch to 3.0 (quilt) source format.
  * Rework makefile patches.

  [ Alessio Treglia ]
  * Correct linking order to fix FTBFS with GCC4.5 + binutils-gold.

  [ Jaromír Mikeš ]
  * Added myself as uploader.
  * Added patch fixing include.
  * Set dh/compat 9.
  * Added .gitignore file.
  * Added local-option file.
  * Added watch file.
  * Fix VCS canonical URLs.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 15 Jun 2013 12:11:43 +0200

ladspa-sdk (1.13-1) unstable; urgency=low

  * Imported Upstream version 1.13
    - No more mismatched free/delete. Closes: #342156, #561560
  * Set Debian Multimedia Maintainers as maintainer. Closes: #520269
  * Switch from dpatch to quilt
  * Drop patch 03_gcc41, not needed anymore
  * Switch to debhelper compat level 7
  * Split the debian patch into logical changes
  * Add misc:Depends to Depends line
  * Build-Depend on debhelper >= 7
  * Bump standards version, no changes needed
  * Note use of quilt for patches
  * Fix build error with git-buildpackage
  * Fix doc-base section
  * Remove extra whitespace
  * Remove useless dir file
  * Add Vcs-* fields
  * Drop versioned build-depends on g++, required version in oldstable
  * Fix linkage of C plugins
  * Clarify copyright.
  * Explicitly use 1.0 source format
  * Add homepage field

 -- Felipe Sateler <fsateler@debian.org>  Tue, 29 Jun 2010 13:31:44 -0400

ladspa-sdk (1.1-6) unstable; urgency=low

  * wrong symlink installed, install a better symlink for ladspa.h.txt.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  6 May 2007 08:27:45 +0900

ladspa-sdk (1.1-5) unstable; urgency=low

  * Bug fix: "ladspa-sdk: Broken link in documentation", thanks to Reuben
    Thomas (Closes: #422377).
    Install ladspa.h.txt
  * add pbuilder-test.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  6 May 2007 08:21:44 +0900

ladspa-sdk (1.1-4.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/03_gcc41.dpatch: add patch from Ben Hutchings to declare friend
    functions (closes: #355989)

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 27 May 2006 13:49:24 +0200

ladspa-sdk (1.1-4) unstable; urgency=low

  * m68k ICE workaround; reduce optimization to -O2 from -O3
    02_m68k_workaround.dpatch (closes: #328285)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 15 Sep 2005 06:58:48 +0900

ladspa-sdk (1.1-3) unstable; urgency=low

  * recompile with gcc-4.0
  - only plugins are affected, does not really affect packages Build-Depending on this package.
  * standards-version 3.6.2
  * use dpatch to maintain Debian patch.
  - 01_debian-patch: the Debian patch.
  
 -- Junichi Uekawa <dancer@debian.org>  Sat, 20 Aug 2005 11:05:43 +0900

ladspa-sdk (1.1-2) unstable; urgency=low

  * recompile with gcc-3.3
  * update debian/copyright
  * update standards-version
  * link plugins against libc and other necessary libs.

 -- Junichi Uekawa <dancer@debian.org>  Thu,  3 Jul 2003 23:23:29 +0900

ladspa-sdk (1.1-1) unstable; urgency=low

  * New upstream release 
  * forward-port local hack to check /usr/lib/ladspa even if env variable is
    not set

 -- Junichi Uekawa <dancer@debian.org>  Mon,  9 Sep 2002 18:52:31 +0900

ladspa-sdk (1.0.LGPL-7) unstable; urgency=low

  * fixed manpage. - is escaped with a backslash.
  * fixing the control dependency wrt ladspa-sdk-dev

 -- Junichi Uekawa <dancer@debian.org>  Wed,  8 Aug 2001 19:20:34 +0900

ladspa-sdk (1.0.LGPL-6) unstable; urgency=low

  * removed ladspa-sdk-dev. It should not enter woody, as released.
    The compatibility package has existed long enough in testing,
    I assume I don't need it included in stable.
    (closes: #105982)
  * fixed a typo that I thought I have already fixed.
    (closes: #103113)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 20 Jul 2001 23:50:54 +0900

ladspa-sdk (1.0.LGPL-5) unstable; urgency=low

  * mkdirhier is in xutils, and use mkdir -p instead in the upstream
    makefile. (closes: #103476)
    Thanks go to wouter@debian.org.
  * changed upstream makefile so that -Wall and -Werror is removed.
    These flags should not have been there...

 -- Junichi Uekawa <dancer@debian.org>  Thu,  5 Jul 2001 00:22:10 +0900

ladspa-sdk (1.0.LGPL-4) unstable; urgency=low

  * <cae@bklyn.org> reported that doc-base file has a typo. Fixed.
    (closes: #103113)
  * does not demand that LADSPA_PATH environmental variable to be set
    (closes: #103271)

 -- Junichi Uekawa <dancer@debian.org>  Tue,  3 Jul 2001 15:19:57 +0900

ladspa-sdk (1.0.LGPL-3) unstable; urgency=low

  * integrates ladspa-sdk-dev into ladspa-sdk since ladspa-sdk-dev is
    really an unnecessary package. ladspa-sdk-dev is an empty package
    depending on ladspa-sdk now. (closes: #98809)
  * policy 3.5.5, finally making plugins a legal entity...

 -- Junichi Uekawa <dancer@debian.org>  Fri,  8 Jun 2001 21:02:21 +0900

ladspa-sdk (1.0.LGPL-2) unstable; urgency=low

  * Adds more documentation, installs documentation properly to ladspa-sdk-dev, adds manpages. (closes: #97213)
  * debian/rules: cleaned up the rules.
  * debian/rules, debian/{listplugins.1,analyseplugin.1,applyplugin.1}:
    Install debian version of manpages.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 14 May 2001 18:52:44 +0900

ladspa-sdk (1.0.LGPL-1) unstable; urgency=low

  * Initial Release. (closes: #90949)

 -- Junichi Uekawa <dancer@debian.org>  Wed,  9 May 2001 20:20:08 +0900

=== debian/control ===
Source: ladspa-sdk
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Build-Depends:
 cdbs,
 debhelper (>= 9)
Standards-Version: 3.9.4
Uploaders:
 Felipe Sateler <fsateler@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ladspa-sdk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ladspa-sdk.git
Homepage: http://www.ladspa.org/

Package: ladspa-sdk
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-host,
 ladspa-plugin,
 ladspa-sdk-dev
Conflicts:
 ladspa-sdk-dev
Description: sample tools for linux-audio-dev plugin architecture
 LADSPA is a free standard specification for audio effect plugins.
 .
 Contains sample plugins, and analyseplugin, listplugin, applyplugin
 programs, and the ladspa.h, the LADSPA specification.
 .
 Please build-depend on this package if you need ladspa.h

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILDDIR = src
DEB_MAKE_BUILD_TARGET = targets
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/ladspa-sdk \
	INSTALL_PLUGINS_DIR=$(CURDIR)/debian/ladspa-sdk/usr/lib/ladspa/ \
	INSTALL_INCLUDE_DIR=$(CURDIR)/debian/ladspa-sdk/usr/include/ \
	INSTALL_BINARY_DIR=$(CURDIR)/debian/ladspa-sdk/usr/bin/

pre-build::
# git doesn't preserve empty dirs, this is for git-buildpackage
	mkdir -p plugins
	mkdir -p bin

## ladspa-sdk 1.15

=== debian/changelog ===
ladspa-sdk (1.15-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:45:12 +0100

ladspa-sdk (1.15-2) unstable; urgency=medium

  * Upload to unstable
  * Add autopkgtests
    Based on the old pbuilder-tests

 -- Felipe Sateler <fsateler@debian.org>  Sun, 07 Jul 2019 22:51:07 -0400

ladspa-sdk (1.15-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org
  * New upstream version 1.15
    - Refresh standard-makefile patch, delete the rest (applied upstream)
    - Add patch to avoid stripping in installed binaries
  * Modernize debian packaging
    - Use short-form dh
    - Bump compat level to 12
    - Add Rules-Require-Root: no annotation,  as we don't need root
  * Bump Standards-Version
  * Avoid unused libraries with -Wl,--as-needed
  * Release to experimental due to freeze

 -- Felipe Sateler <fsateler@debian.org>  Sun, 14 Apr 2019 12:57:58 -0400

ladspa-sdk (1.13-3) unstable; urgency=medium

  * Patches forwarded
  * Set dh/compat 10.
  * Bump Standards.
  * Fix VCS fields.
  * Sign tags.
  * Fix hardening.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 22:13:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,23 @@
 #!/usr/bin/make -f
 
-include /usr/share/cdbs/1/class/makefile.mk
-include /usr/share/cdbs/1/rules/debhelper.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+%:
+	dh $@ --sourcedirectory=src
+
+override_dh_auto_build:
+	mkdir -p plugins bin
+	dh_auto_build -- targets
+
+override_dh_auto_install:
+	dh_auto_install -- DESTDIR=$(CURDIR)/debian/ladspa-sdk \
+        INSTALL_PLUGINS_DIR=$(CURDIR)/debian/ladspa-sdk/usr/lib/ladspa/ \
+        INSTALL_INCLUDE_DIR=$(CURDIR)/debian/ladspa-sdk/usr/include/ \
+        INSTALL_BINARY_DIR=$(CURDIR)/debian/ladspa-sdk/usr/bin/
+
+# Tests require humans
+override_dh_auto_test:
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1

=== debian/watch ===
version=3

http://www.ladspa.org/download/ \
	ladspa_sdk_(.*)\.tgz

## ladspa-sdk 1.17

=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #
 
 INCLUDES	=	-I.
-LIBRARIES	=	-ldl -lm
+LIBRARIES	=	-ldl -lm -lsndfile
 CFLAGS		=	$(INCLUDES) -Wall -Werror -O2 -fPIC 		\
 			-DDEFAULT_LADSPA_PATH=$(INSTALL_PLUGINS_DIR)
 BINFLAGS	=	-fPIE -pie

=== debian/changelog ===
ladspa-sdk (1.17-2) unstable; urgency=medium

  * Team upload

  [ Richard Furse ]
  * debian/tests: Add gcc as dependency

  [ Sam Q ]
  * Add ./index.html to the end of first url

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Drop RRR: no
  * debian/rules: Remove cruft from cdbs

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 Dec 2025 11:00:59 +0100

ladspa-sdk (1.17-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update control (http -> https)
  * Update copyright (http -> https)
  * Update rules (remove 1 empty line)
  * Update watch (http -> https)

  [ Felipe Sateler ]
  * Remove myself from uploaders

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Dennis Braun ]
  * New upstream version 1.17
  * Refresh patchset
  * Add libsndfile1-dev to B-Ds
  * Bump dh-compat to 13
  * Bump Standards-Version to 4.6.0
  * Add myself as uploader
  * Update d/watch file

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 04 Oct 2021 22:38:01 +0200

=== debian/control ===
Source: ladspa-sdk
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libsndfile1-dev
Standards-Version: 4.7.2
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <d_braun@kabelmail.de>
Vcs-Git: https://salsa.debian.org/multimedia-team/ladspa-sdk.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ladspa-sdk
Homepage: https://www.ladspa.org/

Package: ladspa-sdk
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 ladspa-host,
 ladspa-plugin,
 ladspa-sdk-dev
Conflicts:
 ladspa-sdk-dev
Description: sample tools for linux-audio-dev plugin architecture
 LADSPA is a free standard specification for audio effect plugins.
 .
 Contains sample plugins, and analyseplugin, listplugin, applyplugin
 programs, and the ladspa.h, the LADSPA specification.
 .
 Please build-depend on this package if you need ladspa.h

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	mkdir -p plugins bin
	dh_auto_build -- targets

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/ladspa-sdk \
        INSTALL_PLUGINS_DIR=$(CURDIR)/debian/ladspa-sdk/usr/lib/ladspa/ \
        INSTALL_INCLUDE_DIR=$(CURDIR)/debian/ladspa-sdk/usr/include/ \
        INSTALL_BINARY_DIR=$(CURDIR)/debian/ladspa-sdk/usr/bin/

# Tests require humans
override_dh_auto_test:

=== debian/tests/control ===
Tests: listplugins, ladspah
Depends: ladspa-sdk, gcc

=== debian/watch ===
version=4
http://www.ladspa.org/download/index.html \
	ladspa_sdk_(.*)\.tgz
